gtk {base} | R Documentation

## GTK+ Graphics Device

### Description

This is a graphics device similar to the X11 device but using the Gtk widgets. This is now available via a separate package - gtkDevice - and can be used independently of the GNOME GUI for R. This package also allows a device to embedded within a Gtk-based GUI developed using the RGtk package. The gtkDevice package is available from CRAN.

### Usage

    gtk(display="", width=7, height=7, pointsize=12)
    GTK(display="", width=7, height=7, pointsize=12)

### Arguments

`display` | the display on which the graphics window will appear. The default is to use the value in the user's environment variable `DISPLAY`.
`width` | the width of the plotting window in inches.
`height` | the height of the plotting window in inches.
`pointsize` | the default pointsize to be used.

### Author(s)

Original version by Lyndon Drake lyndon@stat.auckland.ac.nz. Reorganization by Martyn Plummer and Duncan Temple Lang.

### References

http://www.gtk.org for the `GTK+` (GIMP Tool Kit) libraries.

### See Also

`x11`, `Devices`.

[Package Contents]